Bug 1141880 - Review Request: golang-googlecode-gcfg - Gcfg reads INI-style configuration files into Go structs
Summary: Review Request: golang-googlecode-gcfg - Gcfg reads INI-style configuration f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1122176
TreeView+ depends on / blocked
 
Reported: 2014-09-15 16:02 UTC by Jan Chaloupka
Modified: 2015-02-14 02:42 UTC (History)
2 users (show)

Fixed In Version: golang-googlecode-gcfg-0-0.4.gitc2d3050.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-24 09:12:42 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Lokesh Mandvekar 2014-09-15 17:41:49 UTC
Jan, could you also please post koji scratch build url and rpmlint output, kinda like: Bug 1140495

Comment 2 Lokesh Mandvekar 2014-09-15 17:44:26 UTC
ohh btw, I've been building all kubernetes deps (almost done). I could send the modified specs for all packages in a pull request to you, and review and approve all BZs pretty much in 1 shot.

How does that sound?

Comment 3 Jan Chaloupka 2014-09-16 07:41:28 UTC
Hello, Lokesh, thanks for all those package being reviewed :). I will prepare all srpm and modified spec files after rpmlint on my fedorapeople page. So we does not have to make a pull request for each change. When all spec files are ok to go, then we can make one big pull request for all of them :).

I was hoping I will make all srpms and rpmlint outputs yesterday :). Working on it right now. You have been building kubernetes deps from these reviews or before it?

Comment 4 Jan Chaloupka 2014-09-16 11:15:45 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-gcfg/golang-googlecode-gcfg.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-gcfg/golang-googlecode-gcfg-0.0.0-0.2.gitc2d3050044d0.fc21.src.rpm

Description: Gcfg reads INI-style configuration files into Go structs

$ rpmlint /root/rpmbuild/SRPMS/golang-googlecode-gcfg-0.0.0-0.2.gitc2d3050044d0.fc21.src.rpm /root/rpmbuild/RPMS/x86_64/golang-googlecode-gcfg-devel-0.0.0-0.2.gitc2d3050044d0.fc21.x86_64.rpm golang-googlecode-gcfg.spec 
golang-googlecode-gcfg.src: W: spelling-error Summary(en_US) structs -> struts, instructs, destructs
golang-googlecode-gcfg.src: W: spelling-error %description -l en_US structs -> struts, instructs, destructs
golang-googlecode-gcfg-devel.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
golang-googlecode-gcfg-devel.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Initial work by Eric Paris

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7589692

Comment 6 Lokesh Mandvekar 2014-09-18 09:20:37 UTC
LGTM.

Specfile follows golang package guidelines as per the draft here: https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 7 Jan Chaloupka 2014-09-18 09:24:38 UTC
New Package SCM Request
=======================
Package Name: golang-googlecode-gcfg
Short Description: Gcfg reads INI-style configuration files into Go structs
Upstream URL: https://code.google.com/p/gcfg/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 8 Gwyn Ciesla 2014-09-18 11:50:47 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-09-24 09:11:05 UTC
golang-googlecode-gcfg-0-0.2.gitc2d3050.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-gcfg-0-0.2.gitc2d3050.fc20

Comment 10 Fedora Update System 2014-09-24 09:11:43 UTC
golang-googlecode-gcfg-0-0.2.gitc2d3050.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-gcfg-0-0.2.gitc2d3050.fc21

Comment 11 Fedora Update System 2014-10-01 04:19:59 UTC
golang-googlecode-gcfg-0-0.2.gitc2d3050.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2014-10-14 04:35:19 UTC
golang-googlecode-gcfg-0-0.2.gitc2d3050.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-01-22 14:33:26 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-gcfg-0-0.4.gitc2d3050.fc20

Comment 14 Fedora Update System 2015-01-22 14:33:45 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-gcfg-0-0.4.gitc2d3050.fc21

Comment 15 Fedora Update System 2015-01-22 14:34:03 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-gcfg-0-0.4.gitc2d3050.el6

Comment 16 Fedora Update System 2015-02-03 12:00:34 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-02-03 12:00:50 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-02-14 02:42:44 UTC
golang-googlecode-gcfg-0-0.4.gitc2d3050.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.